This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1020158 - [RFE] Think about condensing dmsetup splitname and udevflags into one call
[RFE] Think about condensing dmsetup splitname and udevflags into one call
Status: NEW
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Rajnoha
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 03:30 EDT by Zdenek Kabelac
Modified: 2015-09-24 06:26 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2013-10-17 03:30:26 EDT
Description of problem:

We may safe one call of dmsetup for splitname by merging this functionality with udevflags parsing - while it's breaking a bit of rules spliting by doing dm-lvm part in dm rules - it could be a win in terms of CPU usage and udev rule processing speed when a lot of devices are in use.

Should be probably at least measured if this optimization is worth to make.


Version-Release number of selected component (if applicable):
2.02.103

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Peter Rajnoha 2015-09-24 06:26:36 EDT
Alternatively, we can suggest these helper functions to be a part of udev builtin command set - these are really simple so udev team could accept the patch.

Note You need to log in before you can comment on or make changes to this bug.